Skip to navigation

Delete Memory File

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
agent_slugstringRequired

Query parameters

pathstringRequired1-1024 characters

Path inside the directory, such as MEMORY.md or notes/trip.md.

basestringRequired
The head the deletion was made from.
directoryenumOptionalDefaults to agent
The shared agent directory, or one end user's directory.
Allowed values:
environmentenumOptionalDefaults to published
Allowed values:
tenantIdstring or nullOptional1-128 characters
userIdstring or nullOptional1-128 characters

Response

Successful Response
headstring or null

The current version of the directory; pass it as base when writing. Null for an empty directory.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error